ReferenceAPI

List databases

List the databases in a workspace that the caller can view.

GET https://api.nevia.cloud/v1/databases
curl -X GET "https://api.nevia.cloud/v1/databases?workspace=01d4cnjjq40hnnh0nwmkg35nv2h" \
  -H "Authorization: Bearer $TOKEN"
{
  "databases": [
    {
      "id": "01d4cnjkgq02b6tfqvy8yh391pq",
      "workspace": "01d4cnjjq40hnnh0nwmkg35nv2h",
      "name": "api-staging",
      "state": "ready",
      "pending": null,
      "engine": "postgres",
      "version": "18.6",
      "host": "01d4cnjkgq02b6tfqvy8yh391pq.live.nevia.cloud",
      "port": 5432,
      "parent": null,
      "from_checkpoint": "01d4cnjkwhftngfp8vkmp723mhv",
      "generation": 1,
      "protected": false,
      "error": null,
      "created_at": "2026-09-10T12:34:56Z",
      "deleted_at": "2026-09-10T12:34:56Z"
    }
  ],
  "next_cursor": "string",
  "has_more": true
}

Authorization

bearerAuth
Authorization Bearer <token>

Send the token in the Authorization: Bearer <token> header. See Authenticate.

In: header

Query Parameters

workspace* string

Workspace id or exact name.

limit? integer

Page size

Range 1 <= value <= 100
Default 50
cursor? string

next_cursor from the previous page

name? string

Filter by exact name

state? string creating · ready · sleeping · failed · deleting · deleted

Lifecycle state of a computer or database

parent? string

Source database id, to list its branches

Match ^[A-Za-z0-9_-]{1,64}$
from_checkpoint? string

Checkpoint id, to list databases created from it

Match ^[A-Za-z0-9_-]{1,64}$

Response

application/json

Databases the caller can view.